tidy.mle2 {broom} | R Documentation

## Tidy a(n) mle2 object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'mle2'
    tidy(x, conf.int = FALSE, conf.level = 0.95, ...)

### Arguments

`x` | An `mle2` object created by a call to `bbmle::mle2()`.
`conf.int` | Logical indicating whether or not to include a confidence interval in the tidied output. Defaults to `FALSE`.
`conf.level` | The confidence level to use for the confidence interval if `conf.int = TRUE`. Must be strictly greater than 0 and less than 1. Defaults to 0.95, which corresponds to a 95 percent confidence interval.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### See Also

`tidy()`, `bbmle::mle2()`, `tidy_optim()`

### Examples

    if (require("bbmle", quietly = TRUE)) {
      x <- 0:10
      y <- c(26, 17, 13, 12, 20, 5, 9, 8, 5, 4, 8)
      d <- data.frame(x,y)

      fit <- mle2(y ~ dpois(lambda = ymean),
                  start = list(ymean = mean(y)), data = d)

      tidy(fit)
    }

[Package broom version 0.5.2 Index]